Bug 1128397 - Bad ldapmodify usage
Summary: Bad ldapmodify usage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Aneta Šteflová Petrová
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 02:39 UTC by Erinn Looney-Triggs
Modified: 2019-03-06 01:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 12:05:18 UTC


Attachments (Terms of Use)

Description Erinn Looney-Triggs 2014-08-10 02:39:38 UTC
Description of problem:
Section 23.3 Disabling anonymous binds

Example show -w secret for putting in the password on the command line, remainder of example acts as if -W was put in and prompts for password. As well it would probably be best to do this bind using tls so adding -ZZ to the command.

Comment 1 Erinn Looney-Triggs 2014-08-10 02:40:27 UTC
Same page also references using service to restart dirsrv, through this will work probably best to use systemctl.

Comment 2 Erinn Looney-Triggs 2014-08-10 02:44:53 UTC
Actually check that, restarting the service that way will not even work. So that needs to be fixed as well.

Comment 4 Martin Kosek 2014-08-11 14:06:10 UTC
Good catch. Tomas Capek is already busy with fixing issues like that in our IdM guide, I am moving this bug to his queue so that he does not forget.

Comment 6 Petr Spacek 2015-01-28 12:47:17 UTC
The correct command & output is indeed:

$ ldapmodify -x -D "cn=Directory Manager" -W -h server.example.com -p 389 -ZZ
Enter LDAP Password: 
dn: cn=config
changetype: modify
replace: nsslapd-allow-anonymous-access
nsslapd-allow-anonymous-access: rootdse

modifying entry "cn=config"

Comment 8 Namita Soman 2015-02-26 19:28:46 UTC
verified doc


Note You need to log in before you can comment on or make changes to this bug.